## ros-noetic-qb-softhand-industry-msgs 1.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(qb_softhand_industry_msgs VERSION 1.0.9 LANGUAGES CXX)

# Dependency Settings
find_package(catkin REQUIRED
  COMPONENTS
    std_msgs
    message_generation
)

add_message_files(
  DIRECTORY msg
  FILES
    ResourceData.msg
    State.msg
    StateStamped.msg
    DeviceConnectionInfo.msg
    ConnectionState.msg
)

generate_messages(
  DEPENDENCIES
    std_msgs
)

include_directories(include
  ${catkin_INCLUDE_DIRS}
)

catkin_package(
  INCLUDE_DIRS
    include
  CATKIN_DEPENDS
    std_msgs
    message_runtime
)

# Installation
install(
  DIRECTORY
    include/${PROJECT_NAME}/
  DESTINATION
    ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(
  DIRECTORY
    msg/
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}/msg
)

=== debian/changelog ===
ros-noetic-qb-softhand-industry-msgs (1.0.9-1focal) focal; urgency=high



 -- Support Team <support@qbrobotics.com>  Wed, 06 Sep 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-msgs (1.0.8-1focal) focal; urgency=high

  * Fixed package Infos

 -- Support Team <support@qbrobotics.com>  Thu, 03 Aug 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-msgs (1.0.7-1focal) focal; urgency=high



 -- Support Team <support@qbrobotics.com>  Thu, 03 Aug 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-msgs (1.0.6-1focal) focal; urgency=high



 -- Support Team <support@qbrobotics.com>  Mon, 31 Jul 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-msgs (1.0.5-1focal) focal; urgency=high



 -- Support Team <support@qbrobotics.com>  Mon, 31 Jul 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-msgs (1.0.4-1focal) focal; urgency=high



 -- Support Team <support@qbrobotics.com>  Mon, 31 Jul 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-msgs (1.0.3-1focal) focal; urgency=high



 -- Support Team <support@qbrobotics.com>  Thu, 27 Jul 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-msgs (1.0.2-1focal) focal; urgency=high



 -- Support Team <support@qbrobotics.com>  Tue, 25 Jul 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-msgs (1.0.1-1focal) focal; urgency=high



 -- Support Team <support@qbrobotics.com>  Tue, 25 Jul 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-msgs (1.0.0-1focal) focal; urgency=high

  * Added Changelogs
  * Removed not usefull data in msgs and srvs

 -- Support Team <support@qbrobotics.com>  Tue, 25 Jul 2023 22:00:00 -0000

ros-noetic-qb-softhand-industry-msgs (0.0.1-1focal) focal; urgency=high

  * start development

 -- Support Team <support@qbrobotics.com>  Thu, 14 Mar 2019 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-qb-softhand-industry-msgs
Section: misc
Priority: optional
Maintainer: Support Team <support@qbrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-qb-softhand-industry-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: This package contains the ROS messages for qbrobotics® SoftHand Industry.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-qb-softhand-industry-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
